.coach-video-wrapper {
    position: relative;
    width: 100%;
    max-width: 100%;
}

.coach-video-element {
    width: 100%;
    display: block;
}

.coach-video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: opacity 0.3s ease;
    z-index: 10;
}

.coach-video-overlay.hidden {
    opacity: 0;
    pointer-events: none;
}

.coach-video-play-btn {
    background: #f0432a;
    color: white;
    border: none;
    padding: 20px;
    border-radius: 10px;
    font-size: 4rem;
    z-index: 11;
    width:140px;
    height: 140px;
}

@media (max-width: 992px){
    .coach-video-play-btn {
        width: 50px;
        height: 50px;
        font-size: 40px;
    }
}
